Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Entity_Manager Class Reference

Class to manage and resolve entity references. More...

`#include <Entity_Manager.h>`

Collaboration diagram for ACEXML_Entity_Manager:

[legend]
List of all members.

## Public Methods
| ACEXML_Entity_Manager (void)
| Default constructor.
| ~ACEXML_Entity_Manager (void)
| Destructor.
int | add_entity (const ACEXML_Char *ref, const ACEXML_Char *value)
| Add a new entity declaration.
const ACEXML_Char * | resolve_entity (const ACEXML_Char *ref)
| Resolve an entity reference.
int | resolve_entity (const ACEXML_Char *ref, ACEXML_Char *&systemId, ACEXML_Char *&publicId)
size_t | size (void) const
| Number of items in the Entity Manager.
int | reset (void)
| Reset the state.
## Private Attributes
ACEXML_ENTITIES_MANAGER * | entities_
bool | init_

## Detailed Description

Class to manage and resolve entity references.

Todo:
  Fill in details for this class.

## Constructor & Destructor Documentation

ACEXML_Entity_Manager::ACEXML_Entity_Manager | ( | void |  | ) |

| Default constructor.

ACEXML_Entity_Manager::~ACEXML_Entity_Manager | ( | void |  | ) |

| Destructor.

## Member Function Documentation

ACEXML_INLINE int ACEXML_Entity_Manager::add_entity | ( | const ACEXML_Char * | ref,
|  | const ACEXML_Char * | value
| ) |

| Add a new entity declaration.

ACEXML_INLINE int ACEXML_Entity_Manager::reset | ( | void |  | ) |

| Reset the state.

ACEXML_INLINE int ACEXML_Entity_Manager::resolve_entity | ( | const ACEXML_Char * | ref,
|  | ACEXML_Char *& | systemId,
|  | ACEXML_Char *& | publicId
| ) |

| Resolve an entity reference and return the tuple of `systemId` and `publicId`

ACEXML_INLINE const ACEXML_Char * ACEXML_Entity_Manager::resolve_entity | ( | const ACEXML_Char * | ref | ) |

| Resolve an entity reference.

ACEXML_INLINE size_t ACEXML_Entity_Manager::size | ( | void |  | ) | const

| Number of items in the Entity Manager.

## Member Data Documentation

ACEXML_ENTITIES_MANAGER* ACEXML_Entity_Manager::entities_`[private]`

bool ACEXML_Entity_Manager::init_`[private]`

The documentation for this class was generated from the following files:

- Entity_Manager.h
- Entity_Manager.cpp
- Entity_Manager.i